#!/bin/bash
#DATA|TITLE|Copia sito Web
#DATA|DESCRIZ|Fai una copia di Backup del sito web
#DATA|SOCK|false

if [ "$1" = "" ]; then
  read -p "Inserisci il Sito Web (pippo.it)" WEBSITE
else
  WEBSITE=$1
fi

FILEBACKUP_SITE="BACKUP_$WEBSITE_$(date +"%Y-%m-%d").tar.gz"

echo "********************************"

msg="*** COPIA SITO WEB di $WEBSITE (Y/N) ? "

if [ "$1" = "" ]; then
  read -p "$msg" risposta
else
  echo $msg
  risposta=$1
fi

if [[ $risposta == "Y" || $risposta == "y" ]]; then
    tar cvfz $FILEBACKUP_SITE /var/www/$WEBSITE/

    echo "*** COPIA TERMINATA ***
    echo "***********************"
fi
